Subject: Re: [patch net-next v2 00/10] Add support for resource abstraction

From: Andrew Lunn <[email-masked]>
Date: Thu, 4 Jan 2018 13:41:11 +0100

> Double word is 64 bit, dont understand why this is confusing.

In an ASCI, the definition of a word can be quite flexible. I've seen
designs using 14 bit words, since 14 bits was all that was needed to
represent the data to be held. I've also seen a 16 bit word used to
hold a signed value, with the binary point before the last nibble, so
it could hold -2047.9375 to +2047.9375. I might have that wrong. It
gave me a headache at the time, but the synthesizer had no such
problems.

Why not use u8, u16, u14, u32, u64, which we can all understand
without confusion.

	Andrew